Bug 518076 - udev does not recognize gsm modem correctly
udev does not recognize gsm modem correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-18 15:09 EDT by QingLong
Modified: 2010-06-28 10:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description QingLong 2009-08-18 15:09:32 EDT
Description of problem:
udev hotplug machinery does not recognize cellular phone as a gsm modem

Version-Release number of selected component (if applicable):
141

How reproducible:
100%

Steps to Reproduce:
1. Get a cellular phone that has a builtin serial-to-usb converter on its usb port or some older cellular phone with serial interface (plugged via serial-to-USB converter cable) connected to USB port of the host.
2. Watch udev successfully creating /dev/ttyUSB device.
3. See no signs of recognizing it as a modem.

Actual results:
Don't know what oligofrenic machinery is used by the damned NetworkManager lamers tools but it does not let to use the phone as a gsm modem.

Expected results:
Either correctly recognize it automatically, or at least ask user.
Of course, the best approach would be to wipe out that lame stuff totally
and let people easily configure the devices and network interfaces by hand,
but I suspect redhat and fedora had been compromised by redmond agents,
so the latter solution appears to be impossible.

Additional info:
 This is from syslog
|
| kernel: USB Serial support registered for pl2303
| kernel: pl2303 5-1:1.0: pl2303 converter detected
| kernel: usb 5-1: pl2303 converter now attached to ttyUSB0
| kernel: usbcore: registered new interface driver pl2303
| kernel: pl2303: Prolific PL2303 USB to serial adaptor driver
| gpsd.hotplug: gpsd_control(action=add, arg=/dev/ttyUSB0)
| gpsd.hotplug: socket /var/run/gpsd.sock doesn't exist
| gpsd.hotplug: launching gpsd -F /var/run/gpsd.sock
| gpsd.hotplug: socket /var/run/gpsd.sock doesn't exist
| gpsd.hotplug: can't reach gpsd
| NetworkManager: <info> (ttyUSB0): ignoring due to lack of mobile broadband capabilties
|
 That is it uses gpsd.hotplug to figure out whether the device is a modem.
Looks rather stupid. AFAIK tools from gsmlib would do it much better,
at least it detects and communicates to it quite successfully.

Once again: GUIs make simple things simpler and complex ones impossible.
So how far Fedora team is going to lamerize Linux with a braindamaged stuff
like NetworkManager and gome-conf xml bullshit?
Until it finally becomes m$windoze? >:-<
Comment 1 Bug Zapper 2010-04-28 05:49:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 10:10:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.